Subject: bug#29448: closed (Re: bug#29448: Acknowledgement ([wishlist] nice option for guix))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 Nov 2017 22:07:02 +0000

Your bug report

#29448: [wishlist] nice option for guix

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29448: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29448
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29448: Acknowledgement ([wishlist] nice option for guix)
From: [email-masked] (Ludovic Courtès)
To: Matt Wette <[email-masked]>
Cc: [email-masked]
Date: Sun, 26 Nov 2017 23:06:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Matt Wette <[email-masked]> skribis:

> scratch that.
> When I executed `guix pull' the processes were not niced, but once the builds started, the nice did seem to be there.

Good.  :-)  Build processes inherit the “nice” value from guix-daemon,
indeed.

Ludo’.

Subject: [wishlist] nice option for guix
From: Matt Wette <[email-masked]>
To: [email-masked]
Date: Sat, 25 Nov 2017 16:15:04 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I have `niced' the daemon and --cores=1 but the niceness does not get translated to builds. 
I gutless desktop is unusable during the long builds. Please, please make it be nice.